"use client"
import { Statics } from '@helpers/Statics';
import Link from 'next/link';
function Match(props) {
		
		
		let color = '#ffbe6f';
		switch ( props.code ) {
			case 'PL':
				color = '#dc8add';
				break;
			case 'PD':
				color = '#ffbe6f';
				break;
			case 'FL1':
				color = '#ffef00';
				break;
			case 'BL1':
				color = '#ffbbb4';
				break;
			case 'CL':
				color = '#dc8add';
				break;
			case 'SA':
				color = '#c9ffc4';
				break;
			case 'DED':
				color = '#99c1f1';
				break;
			case 'WC':
				color = '#f66151';
				break;
			default:
				color = '#ffbe6f';
				break;
		}
		


    return (
							<>
									
									<Link href={`/match-day-card/${props.code}/${props.id}`} style={{background: color ?? '#ffbe6f'}} className="flex flex-row flex-nowrap items-center justify-between w-[32em] h-[15em] m-2 rounded-lg p-4">
									
										<div className="flex flex-col items-center content-center justify-around bg-white rounded-lg p-2 h-full w-[7em] min-w-[7em] sm:w-[8em] sm:min-w-[8em]">
											<img className="w-full p-2 sm:max-w-[6em] max-w-[5em]" alt={props.data.homeTeam.name} src={props.data.homeTeam.crest ?? ""} />
											<h2 className="text-md sm:text-xl font-bold text-center text-black inline-text-1 w-full">{props.data.homeTeam.shortName}</h2>
											{
												props.data.score?.fullTime?.home || props.data.score?.fullTime?.home==0 ? (
												<h4 className="text-xl font-extrabold text-black w-full bg-primary text-center rounded-lg p-2 ">{props.data.score.fullTime.home}</h4>
												):null
											}
										</div>
										
										<div className="w-full flex flex-col items-center justify-center content-center space-y-2">
												<img className="w-full h-auto sm:max-w-[6em] max-w-[5em]" alt={props.data.competition.name} src={props.data.competition.emblem ?? ""} />
												<h3 className="text-lg font-bold text-center inline-text-1 ">{props.data.competition.name}</h3>
												<ul className="text-center font-bold">
														<li className="kbd kbd-sm w-full">{Statics.getTimeFromUTC(props.data.utcDate) ?? "[NOT SET]"}</li>
														<li className="text-lg w-full text-center my-1">matchday : <span className="badge badge-outline kbd-sm">{props.data.matchday ?? "XX"}</span></li>
														<li className={`badge w-full badge-${props.data.status === 'SCHEDULED' ? 'warning' : props.data.status === 'FINISHED' ? 'info' : props.data.status === 'IN_PLAY' ? 'primary' : 'accent' }`}>{props.data.status.replace("_"," ") ?? "[UNDEFINED]"}</li>
												</ul>
										</div>
										
										<div className="flex flex-col items-center content-center justify-around bg-white rounded-lg p-2 h-full w-[7em] min-w-[7em] sm:w-[8em] sm:min-w-[8em]">
											<img className="w-full p-2 sm:max-w-[6em] max-w-[5em]" alt={props.data.awayTeam.name} src={props.data.awayTeam.crest ?? ""} />
											<h2 className="text-md sm:text-xl font-bold text-center text-black inline-text-1 w-full">{props.data.awayTeam.shortName}</h2>
											{
												props.data.score?.fullTime?.away || props.data.score?.fullTime?.away==0 ? (
												<h4 className=" text-xl font-extrabold text-black w-full bg-primary text-center rounded-lg p-2 ">{props.data.score.fullTime.away}</h4>
												):null
											}
										</div>
									
									</Link>
							</>
    );
}

export default Match;
